"use strict";
this.name        = "Quirium Mine Detector";
this.author      = "Diziet Sma";
this.copyright   = "CC-by-nc-sa-3.0";
this.description = "This script warns the player if a Quirium Mine is launched.";
this.version     = "1.4";


if (0 < oolite.compareVersion("1.77"))
// If Oolite Version < 1.77 use this.shipSpawned function instead of this.cascadeWeaponDetected function.
{
	this.shipSpawned = function(ship)
	{
    	if (player.ship.equipmentStatus("EQ_QMINE_DETECTOR") === "EQUIPMENT_OK")
    	{
		if (ship.isMine && ship.AI === "timebombAI.plist" && ship.position.distanceTo(player.ship.position) < 25600)
			{
			player.consoleMessage("WARNING! QUIRIUM MINE LAUNCH DETECTED!");
            var siren = new SoundSource;
            siren.sound = "[siren]";
            siren.play();
            if (player.ship.equipmentStatus("EQ_TARGET_MEMORY") === "EQUIPMENT_OK") player.ship.target = ship;
			}
    	}
	}
}
else
{
	this.cascadeWeaponDetected = function(weapon)
	{
    	if (player.ship.equipmentStatus("EQ_QMINE_DETECTOR") === "EQUIPMENT_OK")
    	{
            player.consoleMessage("WARNING! QUIRIUM MINE LAUNCH DETECTED!");
            var siren = new SoundSource;
            siren.sound = "[siren]";
            siren.play();
            if (player.ship.equipmentStatus("EQ_TARGET_MEMORY") === "EQUIPMENT_OK") player.ship.target = weapon;
    	}
	}
}

this.playerBoughtEquipment = function(equipment)
{
    if (equipment === "EQ_QMINE_DETECTOR_REMOVER")
    {
        var refund = EquipmentInfo.infoForKey("EQ_QMINE_DETECTOR").price/10 * 0.75;
        if (player.ship.equipmentStatus("EQ_QMINE_DETECTOR") === "EQUIPMENT_DAMAGED") refund /= 10;
        player.ship.removeEquipment("EQ_QMINE_DETECTOR");
        player.ship.removeEquipment("EQ_QMINE_DETECTOR_REMOVER");
        player.credits += refund;
    }
}
